> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korbit.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter caso de refund

> Detalhe do caso: pagamento, valores, prazo de resposta e histórico de interações.



## OpenAPI

````yaml /openapi/korbit-public-v1.json get /v1/refund-cases/{caseId}
openapi: 3.1.0
info:
  title: Korbit API
  version: 1.0.0
  description: >-
    API de pagamentos da Korbit para merchants: PIX, cartão (com 3DS),
    assinaturas, checkout por link, payouts, antecipações e refunds — com
    idempotência, webhooks assinados e ambiente sandbox.
  contact:
    name: Suporte Korbit
    email: suporte@korbit.com.br
servers:
  - url: https://api.korbit.com.br
    description: Produção (chaves kbt_live_)
  - url: https://api-test.korbit.com.br
    description: Sandbox (chaves kbt_test_)
security:
  - bearerAuth: []
tags:
  - name: Antecipações
  - name: Assinaturas
  - name: Atividade
  - name: Catálogo
  - name: Chaves de API
  - name: Checkout
  - name: Clientes e Pedidos
  - name: Pagamentos
  - name: Refunds e Disputas
  - name: Saldo e Saques
  - name: Sandbox
  - name: Webhooks
paths:
  /v1/refund-cases/{caseId}:
    get:
      tags:
        - Refunds e Disputas
      summary: Obter caso de refund
      description: >-
        Detalhe do caso: pagamento, valores, prazo de resposta e histórico de
        interações.
      operationId: getMerchantRefundCase
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: caseId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - amount
                  - approvalMode
                  - blockedBy
                  - currency
                  - evidenceCount
                  - id
                  - initiator
                  - invoiceId
                  - merchantDecision
                  - merchantReviewDeadlineAt
                  - orderId
                  - paymentIntentId
                  - paymentPaidAt
                  - provider
                  - reason
                  - refundWindow
                  - requestedAt
                  - status
                  - updatedAt
                  - events
                  - evidence
                  - operationsDecision
                  - responses
                properties:
                  amount:
                    type: integer
                    minimum: 1
                    maximum: 9007199254740991
                  approvalMode:
                    anyOf:
                      - type: string
                        enum:
                          - INSTANT
                          - OPERATIONS
                          - RISK_POLICY
                      - type: 'null'
                  blockedBy:
                    type: array
                    items:
                      type: string
                      enum:
                        - INSUFFICIENT_AVAILABLE_BALANCE
                        - KYC_NOT_APPROVED
                        - MERCHANT_NOT_ACTIVE
                        - PAYMENT_DISPUTED
                        - PAYMENT_NOT_LIVE
                        - REFUND_FREQUENCY_24H
                        - REFUND_VOLUME_24H
                  currency:
                    type: string
                    enum:
                      - BRL
                  evidenceCount:
                    type: integer
                    minimum: 0
                  id:
                    type: string
                    format: uuid
                  initiator:
                    type: string
                    enum:
                      - CUSTOMER
                      - MERCHANT
                  invoiceId:
                    anyOf:
                      - type: string
                        format: uuid
                      - type: 'null'
                  merchantDecision:
                    anyOf:
                      - type: object
                        additionalProperties: false
                        required:
                          - decidedAt
                          - decision
                          - reason
                        properties:
                          decidedAt:
                            anyOf:
                              - type: string
                                format: date-time
                              - type: 'null'
                          decision:
                            type: string
                            enum:
                              - APPROVED
                              - CONTESTED
                              - EXPIRED
                          reason:
                            anyOf:
                              - type: string
                              - type: 'null'
                      - type: 'null'
                  merchantReviewDeadlineAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  orderId:
                    anyOf:
                      - type: string
                        format: uuid
                      - type: 'null'
                  paymentIntentId:
                    type: string
                    format: uuid
                  paymentPaidAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  provider:
                    anyOf:
                      - type: object
                        additionalProperties: false
                        required:
                          - refundId
                          - submissionStatus
                          - submittedAt
                        properties:
                          refundId:
                            anyOf:
                              - type: string
                              - type: 'null'
                          submissionStatus:
                            anyOf:
                              - type: string
                              - type: 'null'
                          submittedAt:
                            anyOf:
                              - type: string
                                format: date-time
                              - type: 'null'
                      - type: 'null'
                  reason:
                    type: string
                  refundWindow:
                    anyOf:
                      - type: object
                        additionalProperties: false
                        required:
                          - days
                          - expiresAt
                        properties:
                          days:
                            type: integer
                            minimum: 7
                            maximum: 90
                          expiresAt:
                            type: string
                            format: date-time
                      - type: 'null'
                  requestedAt:
                    type: string
                    format: date-time
                  status:
                    type: string
                    enum:
                      - MERCHANT_REVIEW
                      - KORBIT_REVIEW
                      - APPROVED_FOR_EXECUTION
                      - FUNDING_REQUIRED
                      - PROCESSING
                      - SUCCEEDED
                      - FAILED
                      - CANCELED
                      - REJECTED
                  updatedAt:
                    type: string
                    format: date-time
                  evidence:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - id
                        - submittedBy
                        - reference
                        - description
                        - submittedAt
                      properties:
                        id:
                          type: string
                          format: uuid
                        submittedBy:
                          type: string
                          enum:
                            - MERCHANT
                        reference:
                          type: string
                        description:
                          type: string
                        submittedAt:
                          type: string
                          format: date-time
                  operationsDecision:
                    anyOf:
                      - type: 'null'
                      - type: object
                        additionalProperties: false
                        required:
                          - outcome
                          - publicReason
                          - decidedAt
                        properties:
                          outcome:
                            type: string
                            enum:
                              - APPROVE
                              - FUNDING_REQUIRED
                              - REJECT
                          publicReason:
                            anyOf:
                              - type: string
                              - type: 'null'
                          decidedAt:
                            type: string
                            format: date-time
                  responses:
                    type: array
                    maxItems: 20
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - id
                        - reason
                        - evidenceId
                        - submittedAt
                      properties:
                        id:
                          type: string
                          format: uuid
                        reason:
                          type: string
                        evidenceId:
                          anyOf:
                            - type: string
                              format: uuid
                            - type: 'null'
                        submittedAt:
                          type: string
                          format: date-time
                  events:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - at
                        - resultingStatus
                        - type
                      properties:
                        at:
                          type: string
                          format: date-time
                        resultingStatus:
                          anyOf:
                            - type: string
                            - type: 'null'
                        type:
                          type: string
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Korbit API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.